{% extends 'base.html.twig' %}

{% block body %}
    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <h2><b>Photo Gallery</b></h2>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
                    {% if user == null %}
                        <li><a href="{{ path('fos_user_security_login') }}">Login</a></li>

                    {% else %}
                        <li><a href="#">Hello, {{ user }}</a></li>
                    {% endif %}
                    <li><a href="{{ path('picture_index') }}">Back</a></li>
                </ul>
            </div><!-- /.navbar-collapse -->
        </div><!-- /.container-fluid -->
    </nav>
    <div class="container">
        <div>
            <h2>Title picture: {{ picture.caption }}</h2>
            <img width="70%" src="{{ vich_uploader_asset(picture, 'imageFile') }}" alt="{{ picture.picture }}"/>
        </div>
        {% set score_sum = null %}
        {% for comment in comments %}
            {% if picture.id == comment.picture.id %}
                {% set score_sum = score_sum + comment.score %}
            {% endif %}
        {% endfor %}
        <h4>Average score: {{ score_sum }}</h4>
        <br>
        {% if user %}

            {{ form_start(form) }}
            {{ form_widget(form) }}
            <input type="submit" value="Add comment"/>
            {{ form_end(form) }}
        {% endif %}


        <ul>
            <h3>Comments:</h3>

            {% for comment in comments %}
                {% if picture.id == comment.picture.id %}
                    <hr>
                    <li>By {{ comment.user }}, score {{ comment.score }}</li>
                    <li>{{ comment.comment }}</li>
                    <li>{{ comment.publishDate |date('Y-m-d') }}</li>
                {% endif %}

            {% endfor %}
        </ul>
    </div>

{% endblock %}

